gobuster(1)

NAME
gobuster - Directory/file, DNS and virtual host brute-forcing tool written in Go

SYNOPSIS
Modes: dir   - Enumerate directories and files on web servers
       dns   - Discover subdomains through DNS resolution
       s3    - Enumerate Amazon S3 buckets
       gcs   - Enumerate Google Cloud Storage buckets
       vhost - Discover virtual hosts on web servers
       fuzz  - Custom fuzzing with the FUZZ keyword
       tftp  - Enumerate files on TFTP servers

Usage: gobuster help
       gobuster help <mode>
       gobuster dir <flags>
       gobuster dns <flags>
       gobuster s3 <flags>
       gobuster gcs <flags>
       gobuster vhost <flags>
       gobuster fuzz <flags>
       gobuster tftp <flags>

DESCRIPTION
Gobuster is a high-performance tool used to brute-force: URIs (directories and files) in web sites, DNS subdomains (with wildcard support), Virtual Host names on target web servers, Open Amazon S3 buckets, Open Google Cloud buckets and TFTP servers.

Gobuster is useful for pentesters, ethical hackers and forensics experts. It also can be used for security tests.

OPTIONS
Global Flags:

    --delay duration
        Time each thread waits between requests (e.g. 1500ms)

    --no-color
        Disable color output

    --no-error
        Don't display errors

    -z, --no-progress
        Don't display progress

    -o, --output string
        Output file to write results to (defaults to stdout)

    -p, --pattern string
        File containing replacement patterns

    -q, --quiet
        Don't print the banner and other noise

    -t, --threads int
        Number of concurrent threads (default 10)

    --timeout duration
        HTTP Timeout (default 10s)

    -v, --verbose
        Verbose output (errors)

    -w, --wordlist string
        Path to the wordlist

EXAMPLES
Directory Mode:

    gobuster dir -u https://example.com -w wordlist.txt -x php,html,js

DNS Mode (Subdomain Discovery):

    gobuster dns -do example.com -w wordlist.txt -t 50

Virtual Host Mode:

    gobuster vhost -u https://example.com --append-domain -w wordlist.txt

Cloud Storage (S3/GCS):

    gobuster s3 -w bucket-names.txt

    gobuster gcs -w bucket-names.txt

Fuzzing Mode:

    gobuster fuzz -u https://example.com?FUZZ=test -w wordlist.txt

TFTP Mode:

    gobuster tftp -s 10.0.0.1 -w wordlist.txt

BUGS
Open an issue at https://github.com/OJ/gobuster/issues/new. Alternatively, if you are a Debian user you can open a bug using reportbug tool.

AUTHOR
Gobuster was written by OJ Reeves (@TheColonial) <oj@buffered.io> and Christian Mehlmauer (@firefart) <firefart@firefart.at>.

This manual page was written by Thiago Andrade Marques <andrade@debian.org> for the Debian project (but may be used by others).